Subject: Re: bug#62253: Fakechroot execution engine doesn’t outlive ‘exec’ calls

From: Ludovic Courtès <[email-masked]>
Date: Mon, 20 Mar 2023 10:17:16 +0100

Hi,

Josselin Poiret <[email-masked]> skribis:

> I would like to be proven wrong, but I don't think anyone has run into
> this, and there are other possible engines (that do require more
> privileges, sure). It seems quite non-trivial to fix, so this can
> probably go on the back-burner until someone actually complains (please
> do so).

The Open MPI example I gave earlier is one that I’m interested in for
work (running packs on HPC clusters that have neither unprivileged user
namespaces nor Singularity¹).  It might be that we can work around the
problem though, we’ll see…

Ludo’.

¹ https://hpc.guix.info/blog/2020/05/faster-relocatable-packs-with-fakechroot/